Loading...
Searching...
No Matches
BALL::NonpolarSolvation Class Reference

`#include <BALL/SCORING/COMPONENTS/nonpolarSolvation.h>`

Inheritance diagram for BALL::NonpolarSolvation:

## Classes

struct | Option
struct | Default

## Public Types

enum | CalculationMethod { CALCULATION__NONE , CALCULATION__UHLIG , CALCULATION__PCM , CALCULATION__VDW_SOLVENT , CALCULATION__VDW_INTERACTION }

## Public Member Functions

Constructors and Destructors
| NonpolarSolvation ()
| NonpolarSolvation (ScoringFunction &sf)
| NonpolarSolvation (const NonpolarSolvation &fhb)
virtual | ~NonpolarSolvation ()
Assignment
const NonpolarSolvation & | operator= (const NonpolarSolvation &fr)
virtual void | clear ()
Predicates.
bool | operator== (const NonpolarSolvation &fr) const
Setup Methods
virtual bool | setup ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Accessors

void | update (const vector< std::pair< Atom *, Atom * > > &)
virtual double | updateScore ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

SLICK nonpolar solvation component. {\bf Definition:} \URL{BALL/SORING/COMMON/nonpolarSolvation.h}

Definition at line 17 of file nonpolarSolvation.h.

## Member Enumeration Documentation

## CalculationMethod

enum BALL::NonpolarSolvation::CalculationMethod

Enumerator
CALCULATION__NONE |
CALCULATION__UHLIG |
CALCULATION__PCM |
CALCULATION__VDW_SOLVENT |
CALCULATION__VDW_INTERACTION |

Definition at line 23 of file nonpolarSolvation.h.

## Constructor & Destructor Documentation

## NonpolarSolvation() [1/3]

BALL::NonpolarSolvation::NonpolarSolvation | ( |  | ) |

Default constructor.

## NonpolarSolvation() [2/3]

BALL::NonpolarSolvation::NonpolarSolvation | ( | ScoringFunction & | sf | ) |

Constructor.

## NonpolarSolvation() [3/3]

BALL::NonpolarSolvation::NonpolarSolvation | ( | const NonpolarSolvation & | fhb | ) |

Copy constructor

## ~NonpolarSolvation()

virtual BALL::NonpolarSolvation::~NonpolarSolvation | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::NonpolarSolvation::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ScoringComponent.

## operator=()

const NonpolarSolvation & BALL::NonpolarSolvation::operator= | ( | const NonpolarSolvation & | fr | ) |

Assignment.

## operator==()

bool BALL::NonpolarSolvation::operator== | ( | const NonpolarSolvation & | fr | ) | const

## setup()

virtual bool BALL::NonpolarSolvation::setup | ( |  | ) |

virtual

Setup method.

Reimplemented from BALL::ScoringComponent.

## update()

void BALL::NonpolarSolvation::update | ( | const vector< std::pair< Atom *, Atom * > > & | pair_vector | ) |

virtual

Update this ScoringComponent using the given atom-pairs.
This function should be overloaded by all ScoringComponents

Reimplemented from BALL::ScoringComponent.

## updateScore()

virtual double BALL::NonpolarSolvation::updateScore | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ScoringComponent.